/*  $Header

    kpseutil.c: an implementation of the kpathsea library for dviout
                by Jin-Hwan Cho <chofchof@ktug.or.kr>
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <ctype.h>

#ifdef  UNIX
#include <unistd.h>
#else
#include <io.h>
#ifdef	MSVC
#include "msvcdir.h"
#else
#include <dir.h>
#endif
#endif

#include "err.h"

#include <kpathsea/proginit.h>
#include <kpathsea/progname.h>
#include <kpathsea/tex-file.h>

void init_kpathsea(void)
{
  int bdpi = 600;
  kpse_set_program_name("ttf2pk", NULL);
  /* kpse_set_program_name("dviout", NULL); and
     kpse_set_program_name("dviout", "ttf2pk"); did not work. Why? */
  kpse_init_prog("", bdpi, NULL, NULL);
  kpse_set_program_enabled(kpse_pk_format, true, kpse_src_texmf_cnf);
}
